Skip to main content
POST
/
v1
/
matrix
/
global-search
/
counts
Get matrix status counts with global search filtering
curl --request POST \
  --url https://staging.api.us.aptlydone.com/matrix/v1/matrix/global-search/counts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": "da332a80-12e9-487b-a5f5-e8c794d0410f",
  "matrixStatusName": "Active",
  "countStatusName": "Draft,Archived",
  "search": "Investment",
  "isFavorite": true,
  "groupIds": "e75796e7-f7d7-4cd8-8010-bc6e5ffff626, 6204647d-a7ea-4d1f-92ee-cb3f3c2e8fee",
  "positionIds": "cdc27151-4abf-4590-b62c-3d524db1c181, c42f6b90-eb3b-4c52-84e9-08c1dc5042c8",
  "sectionIds": "8d17bae1-ac8e-4676-b080-489197eb8c1d, 87ba5cee-d407-4bfb-99a4-5bfabcf8856a",
  "categoryIds": "376a79c5-4a45-4883-a290-8c3a0eface0b, c90a7980-e88e-42a6-b4b7-ee2daed33293",
  "matrixSharingType": "SHARED",
  "ownerId": "8c651e13-611d-414c-92d9-9aff470a31a0, 49dfa86c-55f2-4152-837f-fc551284439a",
  "userIds": "c6df919b-91c2-46c9-96e4-327227e50705, e265822b-4d1a-4e06-be86-c87e6749288a",
  "links": null,
  "selectedMatrixIds": "41f5545f-71bb-473b-8eb1-19475a0eb169, 8d6d9a3e-d772-4800-bb6f-0ae3497da1bc",
  "createdAtStart": "2025-01-01T00:00:00.000Z",
  "createdAtEnd": "2025-12-31T23:59:59.999Z",
  "updatedAtStart": "2025-01-01T00:00:00.000Z",
  "updatedAtEnd": "2025-12-31T23:59:59.999Z",
  "select": "id,matrixName,matrixDescription,matrixStatus",
  "selectedTab": "active"
}
'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:22.023Z",
  "message": "Success",
  "data": {
    "activeCount": 123,
    "inactiveCount": 123,
    "favoriteCount": 123,
    "allCount": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
string
required

Tenant ID

Example:

"da332a80-12e9-487b-a5f5-e8c794d0410f"

matrixStatusName
string[]

Comma separated Matrix Status values for matrices list

Example:

"Active"

countStatusName
string[]

Comma separated Matrix Status values for count section

Example:

"Draft,Archived"

Search string for matrix name, description, or matrix ID

Example:

"Investment"

isFavorite
boolean

Is the Matrix a favorite

Example:

true

groupIds
string[]

Comma separated Group IDs

Example:

"e75796e7-f7d7-4cd8-8010-bc6e5ffff626, 6204647d-a7ea-4d1f-92ee-cb3f3c2e8fee"

positionIds
string[]

Comma separated Position IDs

Example:

"cdc27151-4abf-4590-b62c-3d524db1c181, c42f6b90-eb3b-4c52-84e9-08c1dc5042c8"

sectionIds
string[]

Comma separated Section IDs

Example:

"8d17bae1-ac8e-4676-b080-489197eb8c1d, 87ba5cee-d407-4bfb-99a4-5bfabcf8856a"

categoryIds
string[]

Comma separated Category IDs

Example:

"376a79c5-4a45-4883-a290-8c3a0eface0b, c90a7980-e88e-42a6-b4b7-ee2daed33293"

matrixSharingType
object[]

Comma separated Matrix Sharing Type values

Example:

"SHARED"

ownerId
string[]

Comma separated Owner User IDs

Example:

"8c651e13-611d-414c-92d9-9aff470a31a0, 49dfa86c-55f2-4152-837f-fc551284439a"

userIds
string[]

Comma separated User IDs

Example:

"c6df919b-91c2-46c9-96e4-327227e50705, e265822b-4d1a-4e06-be86-c87e6749288a"

Comma separated Matrix Link

Example:

null

decisionsCount
object

Decisions count filter

delegationsCount
object

Delegations count filter

selectedMatrixIds
string[]

Comma separated Selected Matrix IDs

Example:

"41f5545f-71bb-473b-8eb1-19475a0eb169, 8d6d9a3e-d772-4800-bb6f-0ae3497da1bc"

createdAtStart
string

Start date for creation date filtering (ISO format)

Example:

"2025-01-01T00:00:00.000Z"

createdAtEnd
string

End date for creation date filtering (ISO format)

Example:

"2025-12-31T23:59:59.999Z"

updatedAtStart
string

Start date for last update filtering (ISO format)

Example:

"2025-01-01T00:00:00.000Z"

updatedAtEnd
string

End date for last update filtering (ISO format)

Example:

"2025-12-31T23:59:59.999Z"

select
string

Comma separated fields to select in response

Example:

"id,matrixName,matrixDescription,matrixStatus"

selectedTab
enum<string>

Selected tab to filter counts and listings (active, inactive, favorite, all)

Available options:
active,
inactive,
favorite,
all
Example:

"active"

Response

Matrix counts retrieved successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:22.023Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data